> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# オランダ居住者認証API：本人情報照合

> Diditの本人確認インフラで、オランダの公的データベースと照合する居住者認証APIです。1回$1.50からの従量課金制で、契約や最低利用額は不要です。

入力データを、政府記録、郵便記録、公的記録を含むデータソースと照合して検証します。Diditはこのサービスを`POST /v3/database-validation/`で提供しており、送信されたデータを信頼できる情報源と照合して、正規化された照合結果を受け取れます。

## カバー範囲

* **カバー率：** > 80%
* **国：** オランダ
* **サービスID：** `nld_residential`
* **データ領域：** 住所
* **カテゴリ：** 居住用

## 入力項目

| フィールド | 必須 | 例 |
| - | -: | - |
| `first_name` | はい | `John` |
| `last_name` | はい | `Doe` |
| `date_of_birth` | はい | `1990-01-01` |
| `address.street_1` | はい | `123 Sample Street` |
| `address.postal_code` | はい | `10001` |
| `national_id` | いいえ | `SAMPLE-NID-12345` |
| `address.street_2` | いいえ | `Unit 4` |
| `address.city` | いいえ | `Sample City` |
| `address.region` | いいえ | `Sample State` |
| `vendor_data` | いいえ | `user-1234` |

* **必須の入力項目：** `first_name`、`last_name`、`date_of_birth`、`address.street_1`、`address.postal_code`
* **任意の入力項目：** `national_id`、`address.street_2`、`address.city`、`address.region`、`vendor_data`
* **同意：** 不要
* **ワークフローの可用性：** ワークフローで利用可能
* **カバー率：** > 80%
* **料金：** 成功したクエリ1件あたり\$1.50

## ボディパラメーター

**issuing\_state** `string` *required* (default: NLD)

このデータベースサービスのISO 3166-1 alpha-3国コード。

例：`NLD`

**services** `string` *required* (default: nld\_residential)

このサービスIDを含む配列。サービスを指定することで、リクエストの対象をこのデータベースだけに限定できます。

例：`nld_residential`

**first\_name** `string` *required* (default: John)

検証する名。

例：`John`

**last\_name** `string` *required* (default: Doe)

検証する姓。

例：`Doe`

**date\_of\_birth** `string` *required* (default: 1990-01-01)

`YYYY-MM-DD`形式の生年月日。

例：`1990-01-01`

**address** `object` *required* (default: \{"street\_1":"123 Sample Street","street\_2":"Unit 4","city":"Sample City","region":"Sample State","postal\_code":"10001","country":"US"})

構造化された居住地の住所オブジェクト。`street_1`、`street_2`、`city`、`region`、`postal_code`、`country`を使用します。従来形式の完全な住所文字列も引き続き受け付けますが、推奨されません。

例：`{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}`

**national\_id** `string`

このサービスで使用する国民識別番号。

例：`SAMPLE-NID-12345`

**vendor\_data** `string` (default: user-1234)

社内ユーザーIDなど、この人物を表す固定のユーザー参照値。Diditはこれを使用して単独のチェックを同一のエンドユーザーに紐付け、重複検知のノイズを減らします。

例：`user-1234`

## 入力ルールと検証上の注意

* 住所系のサービスでは、可能な限り単一の`address`文字列ではなく、構造化された住所フィールドを送信してください。
* `address.street_1`は、番地や通りの種別を含む住所です。
* `address.street_2`は、部屋番号、ユニット、建物、階、または追加の住所行です。値がある場合にのみ送信してください。
* `address.city`は、市、郊外地域、地区、地域、または近隣地区です。
* `address.region`は、州、県、地域、または町です。
* `address.postal_code`は郵便番号です。
* 住所ベースのデータベースサービスでは、少なくとも通りの住所と郵便番号が必要です。情報源への照会前に拒否されたリクエストには課金されません。

## 呼び出し方法

```bash cURL theme={null}
curl -X POST "https://verification.didit.me/v3/database-validation/" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "issuing_state=NLD" \
  -F "services=nld_residential" \
  -F "vendor_data=user-1234" \
  -F "first_name=John" \
  -F "last_name=Doe" \
  -F "date_of_birth=1990-01-01" \
  -F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
```

```python Python theme={null}
from didit import Didit

# Reads DIDIT_API_KEY.
client = Didit()

result = client.database_validation.validate(
    issuing_state="NLD",
    services=["nld_residential"],
    first_name="John",
    last_name="Doe",
    date_of_birth="1990-01-01",
    address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
    vendor_data="user-1234",
)
print(result)
```

```javascript Node.js theme={null}
import Didit from "@didit-protocol/sdk-node";

// Reads DIDIT_API_KEY.
const didit = new Didit();

const result = await didit.databaseValidation.validate({
  issuing_state: "NLD",
  services: ["nld_residential"],
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
  vendor_data: "user-1234",
});
console.log(result);
```

```go Go theme={null}
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()

result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
	IssuingState: "NLD",
	Services:     didit.Some([]string{"nld_residential"}),
	FirstName:    didit.String("John"),
	LastName:     didit.String("Doe"),
	DateOfBirth:  didit.String("1990-01-01"),
	Address:      didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
	VendorData:   didit.String("user-1234"),
})
if err != nil {
	log.Fatal(err)
}
fmt.Printf("%+v\n", result)
```

```java Java theme={null}
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;

// Reads DIDIT_API_KEY.
Didit client = new Didit();

var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
        .issuingState("NLD")
        .services(List.of("nld_residential"))
        .firstName("John")
        .lastName("Doe")
        .dateOfBirth(LocalDate.parse("1990-01-01"))
        .address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
                .street1("123 Sample Street")
                .street2("Unit 4")
                .city("Sample City")
                .region("Sample State")
                .postalCode("10001")
                .country("US")
                .build()))
        .vendorData("user-1234")
        .build());
System.out.println(result);
```

```php PHP theme={null}
<?php

require 'vendor/autoload.php';

use Didit\DiditClient;

// Reads DIDIT_API_KEY.
$didit = new DiditClient();

$result = $didit->databaseValidation->validate([
    'issuing_state' => 'NLD',
    'services' => ['nld_residential'],
    'first_name' => 'John',
    'last_name' => 'Doe',
    'date_of_birth' => '1990-01-01',
    'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
    'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
```

```ruby Ruby theme={null}
require "didit"

# Reads DIDIT_API_KEY.
didit = Didit::Client.new

result = didit.database_validation.validate(
  issuing_state: "NLD",
  services: ["nld_residential"],
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
  vendor_data: "user-1234"
)
puts result.to_h
```

```csharp .NET theme={null}
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;

// Reads DIDIT_API_KEY.
using var client = new DiditClient();

var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
    IssuingState = "NLD",
    Services = new string[] { "nld_residential" },
    FirstName = "John",
    LastName = "Doe",
    DateOfBirth = "1990-01-01",
    Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
    VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
```

成功した呼び出しはすべてHTTP `200`を返します。実際に何が起きたかは**`outcome_code`**フィールドで判断できます。たとえば、実際の生体認証の不一致（`BIOMETRIC_NO_MATCH`）と、読み取れなかったセルフィー（`BIOMETRIC_IMAGE_UNUSABLE`）を区別できます。表示される`status`はデフォルトの機能ステータスであり、設定済みの[部分一致／不一致時のアクション](https://docs.didit.me/ja/core-technology/database-validation/database-validation-warnings.md)によって上書きされる場合があります。

**`MATCH`**：レジストリが本人であることを確認し、チェックしたすべてのフィールドが一致しました。

```json 200 OK — MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Approved",
  "issuing_state": "NLD",
  "match_type": "full_match",
  "validations": [
    {
      "outcome_code": "MATCH",
      "service_id": "nld_residential",
      "service_name": "Netherlands Residential",
      "source_data": {
        "address": "123 Sample Street",
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "identification_number": "SAMPLE-ID-12345",
        "last_name": "Doe"
      },
      "validation": {
        "address": "full_match",
        "date_of_birth": "full_match",
        "full_name": "full_match"
      }
    }
  ]
}
```

**`PARTIAL_MATCH`**：このサービスが比較するフィールドのうち、1つ以上が完全には一致しませんでした。この例では、`full_name`は一致せず、`address`と`date_of_birth`は一致しました。

```json 200 OK — PARTIAL_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "In Review",
  "issuing_state": "NLD",
  "match_type": "partial_match",
  "validations": [
    {
      "outcome_code": "PARTIAL_MATCH",
      "service_id": "nld_residential",
      "service_name": "Netherlands Residential",
      "source_data": {
        "address": "123 Sample Street",
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "identification_number": "SAMPLE-ID-12345",
        "last_name": "Doe"
      },
      "validation": {
        "address": "full_match",
        "date_of_birth": "full_match",
        "full_name": "no_match"
      }
    }
  ]
}
```

**`NO_MATCH`**：送信されたデータについて、レジストリから、送信されたデータに一致する結果は返されませんでした。

```json 200 OK — NO_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Declined",
  "issuing_state": "NLD",
  "match_type": "no_match",
  "validations": [
    {
      "outcome_code": "NO_MATCH",
      "service_id": "nld_residential",
      "service_name": "Netherlands Residential",
      "source_data": {
        "address": "NO_MATCH",
        "date_of_birth": "NO_MATCH",
        "full_name": "NO_MATCH"
      },
      "validation": {
        "address": "no_match",
        "date_of_birth": "no_match",
        "full_name": "no_match"
      }
    }
  ]
}
```

## 返却データ

`source_data`で返されるフィールドは、登記機関が返すデータによって異なります。`nld_residential`の生成された例では、現在、この正規化された形式が記載されています。

* `address`
* `date_of_birth`
* `first_name`
* `identification_number`
* `last_name`

## 料金とSLA

オランダの居住者データ照会は、Diditが検証元から確定した結果を受け取った場合にのみ課金されます。

* **1回あたりの料金:** \$1.50 USD。
* **請求:** 成功した照会ごとに課金されます。登録機関に接続できない場合、必須フィールドが欠けている場合、またはソースに到達する前にリクエストが拒否された場合は課金されません。
* **レイテンシ:** 通常、p95で2秒未満です。
* **可用性:** Didit側で四半期あたり99.9%です。下流のソースの可用性は国やデータセットによって異なります。

## 関連情報

* [オランダのデータベース検証の概要](https://docs.didit.me/api-reference/database-validation/netherlands.md)
* [データベース検証の概要](https://docs.didit.me/ja/core-technology/database-validation/overview.md)
* [結果コード](https://docs.didit.me/ja/core-technology/database-validation/database-validation-outcome-codes.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.